SUSE Security Update: Security update for libqt4
______________________________________________________________________________

Announcement ID:    SUSE-SU-2021:4155-1
Rating:             important
References:         #1176315 #1184783 
Cross-References:   CVE-2020-17507 CVE-2021-3481
CVSS scores:
                    CVE-2020-17507 (NVD) : 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
                    CVE-2020-17507 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
                    CVE-2021-3481 (SUSE): 5.4 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:L

Affected Products:
                    SUSE Linux Enterprise Workstation Extension 12-SP5
                    SUSE Linux Enterprise Software Development Kit 12-SP5
                    SUSE Linux Enterprise Server 12-SP5
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for libqt4 fixes the following issues:

   - CVE-2021-3481: Fixed out of bounds read in QRadialFetchSimd() from
     crafted svg file (bsc#1184783).
   - CVE-2020-17507: Fixed buffer over-read in read_xbm_body() (bsc#1176315).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Workstation Extension 12-SP5:

      zypper in -t patch SUSE-SLE-WE-12-SP5-2021-4155=1

   - SUSE Linux Enterprise Software Development Kit 12-SP5:

      zypper in -t patch SUSE-SLE-SDK-12-SP5-2021-4155=1

   - SUSE Linux Enterprise Server 12-SP5:

      zypper in -t patch SUSE-SLE-SERVER-12-SP5-2021-4155=1



Package List:

   - SUSE Linux Enterprise Workstation Extension 12-SP5 (x86_64):

      libqt4-debuginfo-32bit-4.8.7-8.16.1
      libqt4-debugsource-4.8.7-8.16.1
      libqt4-sql-mysql-32bit-4.8.7-8.16.1
      libqt4-sql-mysql-debuginfo-32bit-4.8.7-8.16.1
      libqt4-sql-plugins-debugsource-4.8.7-8.16.1
      libqt4-sql-postgresql-32bit-4.8.7-8.16.1
      libqt4-sql-postgresql-4.8.7-8.16.1
      libqt4-sql-postgresql-debuginfo-32bit-4.8.7-8.16.1
      libqt4-sql-postgresql-debuginfo-4.8.7-8.16.1
      libqt4-sql-sqlite-32bit-4.8.7-8.16.1
      libqt4-sql-sqlite-debuginfo-32bit-4.8.7-8.16.1
      libqt4-sql-unixODBC-32bit-4.8.7-8.16.1
      libqt4-sql-unixODBC-4.8.7-8.16.1
      libqt4-sql-unixODBC-debuginfo-32bit-4.8.7-8.16.1
      libqt4-sql-unixODBC-debuginfo-4.8.7-8.16.1

   - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64):

      libqt4-debuginfo-4.8.7-8.16.1
      libqt4-debugsource-4.8.7-8.16.1
      libqt4-devel-4.8.7-8.16.1
      libqt4-devel-debuginfo-4.8.7-8.16.1
      libqt4-devel-doc-4.8.7-8.16.2
      libqt4-devel-doc-debuginfo-4.8.7-8.16.2
      libqt4-devel-doc-debugsource-4.8.7-8.16.2
      libqt4-linguist-4.8.7-8.16.1
      libqt4-linguist-debuginfo-4.8.7-8.16.1
      libqt4-private-headers-devel-4.8.7-8.16.1
      libqt4-sql-plugins-debugsource-4.8.7-8.16.1
      libqt4-sql-postgresql-4.8.7-8.16.1
      libqt4-sql-postgresql-debuginfo-4.8.7-8.16.1
      libqt4-sql-unixODBC-4.8.7-8.16.1
      libqt4-sql-unixODBC-debuginfo-4.8.7-8.16.1

   - SUSE Linux Enterprise Software Development Kit 12-SP5 (s390x x86_64):

      libqt4-sql-postgresql-32bit-4.8.7-8.16.1
      libqt4-sql-postgresql-debuginfo-32bit-4.8.7-8.16.1
      libqt4-sql-unixODBC-32bit-4.8.7-8.16.1
      libqt4-sql-unixODBC-debuginfo-32bit-4.8.7-8.16.1

   - SUSE Linux Enterprise Software Development Kit 12-SP5 (noarch):

      libqt4-devel-doc-data-4.8.7-8.16.2

   - SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):

      libqt4-4.8.7-8.16.1
      libqt4-debuginfo-4.8.7-8.16.1
      libqt4-debugsource-4.8.7-8.16.1
      libqt4-devel-doc-debuginfo-4.8.7-8.16.2
      libqt4-devel-doc-debugsource-4.8.7-8.16.2
      libqt4-qt3support-4.8.7-8.16.1
      libqt4-qt3support-debuginfo-4.8.7-8.16.1
      libqt4-sql-4.8.7-8.16.1
      libqt4-sql-debuginfo-4.8.7-8.16.1
      libqt4-sql-mysql-4.8.7-8.16.1
      libqt4-sql-mysql-debuginfo-4.8.7-8.16.1
      libqt4-sql-plugins-debugsource-4.8.7-8.16.1
      libqt4-sql-sqlite-4.8.7-8.16.1
      libqt4-sql-sqlite-debuginfo-4.8.7-8.16.1
      libqt4-x11-4.8.7-8.16.1
      libqt4-x11-debuginfo-4.8.7-8.16.1
      qt4-x11-tools-4.8.7-8.16.2
      qt4-x11-tools-debuginfo-4.8.7-8.16.2

   - SUSE Linux Enterprise Server 12-SP5 (s390x x86_64):

      libqt4-32bit-4.8.7-8.16.1
      libqt4-debuginfo-32bit-4.8.7-8.16.1
      libqt4-qt3support-32bit-4.8.7-8.16.1
      libqt4-qt3support-debuginfo-32bit-4.8.7-8.16.1
      libqt4-sql-32bit-4.8.7-8.16.1
      libqt4-sql-debuginfo-32bit-4.8.7-8.16.1
      libqt4-x11-32bit-4.8.7-8.16.1
      libqt4-x11-debuginfo-32bit-4.8.7-8.16.1


References:

   https://www.suse.com/security/cve/CVE-2020-17507.html
   https://www.suse.com/security/cve/CVE-2021-3481.html
   https://bugzilla.suse.com/1176315
   https://bugzilla.suse.com/1184783